Subject: "--without-x" is ignored when "--with-x-toolkit=no"
From: [email-masked]
To: Bug gnu emacs <[email-masked]>
Date: Mon, 27 Mar 2023 13:48:12 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This is about building Emacs29.

I did someting like this

     make configure="--with-x-toolkit=no"

You see the "no"? No matter of that the configure output tells me it is 
build with X support.

I tried

     make configure="--with-x-toolkit=no --without-x"

Again X11 support enabled.

Then this is the only thing that works.

     make configure="--without-x"

No X11 support.

Not sure what happend here. Something interfered.

It is not well described in the docs how this switches work. I looked 
into INSTALL, INSTALL.REPO and ./configure --help